[PATCH] xfs/297: fail test if _scratch_mount fails

[Date Prev] [Date Next] [Thread Prev] [Thread Next] [Date Index] [Thread Index]



xfs/297 formats the scratch device with test specific mkfs options
that limit the use of certain mount options (i.e., if logbsize !=
256k). If an incompatible mount option is set, the mount fails but
the test proceeds to run against the root filesystem.

Update xfs/297 to fail if the mount of the scratch device fails for
whatever reason.

Signed-off-by: Brian Foster <bfoster@xxxxxxxxxx>
---

A couple other options here are to exclude the use of logbsize
(effectively _notrun the test) or to hardcode the mount with '-o
logbsize=256k' in the test.  I didn't like the former because it
excludes even when a valid logbsize is set.  The latter requires us to
use _require_scratch_nocheck, otherwise the post-test remount fails.
This configuration is rare enough that this seemed like the least bad
option.

Brian

 tests/xfs/297 | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/tests/xfs/297 b/tests/xfs/297
index fe92441..9accffd 100755
--- a/tests/xfs/297
+++ b/tests/xfs/297
@@ -52,7 +52,7 @@ _require_command "$KILLALL_PROG" killall
 
 rm -f $seqres.full
 _scratch_mkfs_xfs -d agcount=16,su=256k,sw=12 -l su=256k,size=5120b >/dev/null 2>&1
-_scratch_mount >/dev/null 2>&1
+_scratch_mount >>$seqres.full 2>&1 || _fail "mount failed"
 
 STRESS_DIR="$SCRATCH_MNT/testdir"
 mkdir -p $STRESS_DIR
-- 
2.9.4

--
To unsubscribe from this list: send the line "unsubscribe fstests" in
the body of a message to majordomo@xxxxxxxxxxxxxxx
More majordomo info at  http://vger.kernel.org/majordomo-info.html



[Index of Archives]     [Linux Filesystems Development]     [Linux NFS]     [Linux NILFS]     [Linux USB Devel]     [Linux Audio Users]     [Yosemite News]     [Linux Kernel]     [Linux SCSI]

  Powered by Linux